<?php

/**
 * ---------------------------------------------------------------------
 * GLPI Inventory Plugin
 * Copyright (C) 2021 Teclib' and contributors.
 *
 * http://glpi-project.org
 *
 * based on FusionInventory for GLPI
 * Copyright (C) 2010-2021 by the FusionInventory Development Team.
 *
 * ---------------------------------------------------------------------
 *
 * LICENSE
 *
 * This file is part of GLPI Inventory Plugin.
 *
 * GLPI Inventory Plugin is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GLPI Inventory Plugin is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with GLPI Inventory Plugin. If not, see <https://www.gnu.org/licenses/>.
 * ---------------------------------------------------------------------
 */

include("../../../inc/includes.php");

Session::checkLoginUser();

Session::checkRight('plugin_glpiinventory_package', PURGE);

Html::header(
    __('GLPI Inventory DEPLOY'),
    $_SERVER["PHP_SELF"],
    "admin",
    "pluginglpiinventorymenu",
    "deploypackage"
);

$pfDeployfile = new PluginGlpiinventoryDeployFile();

if (isset($_GET['delete'])) {
    $pfDeployfile->deleteUnusedFiles();
    Html::back();
}

PluginGlpiinventoryMenu::displayMenu("mini");

$pfDeployfile->numberUnusedFiles();

echo "<center>";
echo "<a href='" . $_SERVER['PHP_SELF'] . "?delete=1' class='vsubmit'>Delete unused files</a>";
echo "</center>";

Html::footer();
